## Link to another item (desk:write)

`POST /api/desk/v1/items/{ref}/links`

Module: Desk · operationId: `createItemLink` · Tag: Activity · Auth: access token (`Authorization: Bearer <accessToken>`)

### Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `ref` | path | string | yes | Item id or number |

### Request body

`application/json` (required)

- `targetId` (string, required)
- `type` (string, required): Key of a linkType entry (bootstrap enums)

Example:

```json
{
  "targetId": "#4",
  "type": "relates"
}
```

### Responses

- **201** Created (`application/json`)

Fields of the 201 answer:

- `createdAt` (string (date-time)): When the link was made
- `createdBy` (string): Login (e-mail) of who linked
- `id` (string): Id of the link
- `other` (ItemSummary)
  - `id` (string): Id of the item
  - `number` (integer): Number of the item
  - `phase` (Phase): (one of `new`, `active`, `waiting`, `done`)
  - `spaceId` (string): Space of the item
  - `status` (string): Status key
  - `title` (string): Title
  - `typeId` (string): Type of the item
- `outgoing` (boolean): The requested item is the source of the link
- `sourceId` (string): Item the link starts from
- `targetId` (string): Item the link points to
- `type` (string): Key of a linkType entry

Example 201 answer:

```json
{
  "createdAt": "2026-11-17T08:45:00Z",
  "createdBy": "lukas.wimmer@muster-it.example",
  "id": "5f2a3b4c-6d7e-4f8a-9b0c-2d3e4f5a6b01",
  "other": {
    "id": "4a1b2c3d-5e6f-4a7b-8c9d-1e2f3a4b5c04",
    "number": 4,
    "phase": "new",
    "spaceId": "9a8b7c6d-5e4f-4a3b-8c2d-1e0f9a8b7c00",
    "status": "neu",
    "title": "Firewall-Regeln für das Gäste-WLAN prüfen",
    "typeId": "5d2e3f4a-6b7c-4d8e-9f0a-2b3c4d5e6f02"
  },
  "outgoing": true,
  "sourceId": "4a1b2c3d-5e6f-4a7b-8c9d-1e2f3a4b5c01",
  "targetId": "4a1b2c3d-5e6f-4a7b-8c9d-1e2f3a4b5c04",
  "type": "relates"
}
```

### Example request

```bash
curl -X POST 'https://api.mbcom.cloud/api/desk/v1/items/string/links' \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H 'Content-Type: application/json' \
  --data '{"targetId":"#4","type":"relates"}'
```
